enchant(); //enchant.jsを使い始めるためのおまじない
window.onload = function() {
    game = new Game(320, 320);
    game.preload('icon0.gif', 'map2.gif');
    game.onload = function() { //ここでゲームを開始する前の準備をする
        //物理世界を創造する
        world = new PhysicsWorld(0.0, 9.8);
        //床を設置する
        floor = new PhyBoxSprite(320, 16, enchant.box2d.STATIC_SPRITE, 1.0, 0.5, 0.0, true);
        floor.image = new Surface(16, 16);
        floor.image.draw(game.assets['map2.gif'],0,0,16,16,0,0,16,16);
        floor.x = 0;
        floor.y = 304;
        game.rootScene.addChild(floor);
        //リンゴを置く
        apple = new PhyCircleSprite(8, enchant.box2d.DYNAMIC_SPRITE, 1.0, 0.5, 0.8, true);
        apple.image = game.assets['icon0.gif'];
        apple.frame = 15;
        apple.x = 160;
        apple.y = 288;
        game.rootScene.addChild(apple);
        
        apple.addEventListener(Event.TOUCH_END, function(e) {
            // 昔なつかし三角関数
            p = this.position;
            h = Math.sqrt(Math.pow(e.x - p.x, 2) + Math.pow(e.y - p.y, 2));
            a = (e.x - p.x) / h;
            b = (e.y - p.y) / h;
            // 条件によっては a、b を求められない場合があるので、その場合は 0 に変更する
            // それと y 軸に対しては、力が足りないので補正を加える
            a = isNaN(a) ? 0 : a;
            b = (isNaN(b) ? 2 : b * 2);
            // applyForce は継続的な力をオブジェクトに加える関数
            // b2Vec2 は box2d で扱うベクトル
            // ここにコードを追加
        });

        game.rootScene.onenterframe = function(e) {
            //物理世界の時間を進める
            world.step(game.fps);
        };
    }
    game.start(); //ゲーム開始
}